summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD2
-rw-r--r--vmware-horizon-client.install32
3 files changed, 30 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fee1224be67..8b553944fab 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = vmware-horizon-client
pkgdesc = VMware Horizon Client connect to VMware Horizon virtual desktop
pkgver = 2111.1
- pkgrel = 1
+ pkgrel = 2
url = https://www.vmware.com/go/viewclients
arch = x86_64
license = custom
diff --git a/PKGBUILD b/PKGBUILD
index fde7442c06c..e5f9e8cadd1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -24,7 +24,7 @@ pkgver=2111.1
_build1=8.4.1
_build2=53939787
_cart='CART22FH2'
-pkgrel=1
+pkgrel=2
pkgdesc='VMware Horizon Client connect to VMware Horizon virtual desktop'
arch=('x86_64')
url='https://www.vmware.com/go/viewclients'
diff --git a/vmware-horizon-client.install b/vmware-horizon-client.install
index 503e90b2352..01fd22e08d5 100644
--- a/vmware-horizon-client.install
+++ b/vmware-horizon-client.install
@@ -1,7 +1,31 @@
+#!/bin/sh
+
+EULA() {
+ echo " > By installing this package you acknowledge that you agree to the End-User"
+ echo " > License Agreement (EULA) found in /usr/share/doc/vmware-horizon-client/."
+ echo " > If you do not agree to VMware EULA remove this package immediately:"
+ echo " > $ pacman -Rc vmware-horizon-client"
+}
+
+hosts_add() {
+ if ! grep -q 'view-localhost' /etc/hosts; then
+ echo '127.0.0.2 view-localhost # added by vmware-horizon-client' >> /etc/hosts
+ fi
+}
+
+hosts_remove() {
+ sed -i '/view-localhost/d' /etc/hosts
+}
+
post_install() {
- echo " > By installing this package you acknowledge that you agree to the End-User"
- echo " > License Agreement (EULA) found in /usr/share/doc/vmware-horizon-client/."
- echo " > If you do not agree to VMware EULA remove this package immediately:"
- echo " > $ pacman -Rc vmware-horizon-client"
+ EULA
+ hosts_add
}
+post_upgrade() {
+ hosts_add
+}
+
+post_remove() {
+ hosts_remove
+}